<?php

$Name = array();
$Deep = array();
$Media = array();
$MediaTitle = array();
$MediaTitleShort = array();
$InTOCMedia = array();
$InTOCMediaTitleShort = array();
$M_AUFGABE = 0;

function DataLoadStudy(&$stupla)
{
    return DataLoadFile(stupla_load_data_js($stupla));
}

function DataLoadFile($dataFileContens)
{
    global $Name, $Deep,  $MediaTitle, $Media, $MediaTitleShort,
       $InTOCMedia, $InTOCMediaTitleShort, $M_AUFGABE;
    # reset
    $Name = array();
    $Media = array();
    $MediaTitle = array();
    $MediaTitleShort = array();
    $InTOCMedia = array();
    $InTOCMediaTitleShort = array();
    $M_AUFGABE = 0;
    if ( $dataFileContens === false )
        return;
    # split to lines
    $dat = explode("\n", str_replace("\r", '', $dataFileContens));
    $m = array();
    $n = array();
    $line = 0;
    while ( $line < count($dat) ) {
        $s = $dat[$line++];
        if ( preg_match("/^var Name = new Array\(\"([^\"]*)\"/", $s, $m) ) {
            array_push($Name, $m[1]);
            while ( preg_match("/^\s*\"([^\"]*)\"(.)/", $s = $dat[$line++], $m) ) {
                array_push($Name, $m[1]);
                if ( $m[2] == ")" )
                    break;
            }
        }
        else if ( preg_match("/Deep = new Array\(/", $s, $m) ) {
            $s = '';
            while ( !preg_match("/\);\s*$/", $s) )
                $s .= $dat[$line++];
            $s = trim(substr($s, 0, strpos($s, ")")));
            $Deep = preg_split("/\s*,\s*/", $s);
        }
        else if ( preg_match("/Media\[(\d*)\]\[(\d*)\] = new Array\(/", $s, $m) ) {
            if ( !array_key_exists($m[1], $Media) )
                $Media[$m[1]] = array();
            $Media[0+$m[1]][0+$m[2]] = array();
        }
#    else if ( preg_match("/Media\[(\d*)\]\[(\d*)\]\[(\d*)\] = new Array\(\"(.*)\", \"(.*)\", \"(.*)\", 0\)/", $s, $m) )
#    {
#      #echo 0+$m[1], "-", 0+$m[2], "-", 0+$m[3], "<BR>";
#      $Media[0+$m[1]][0+$m[2]][0+$m[3]] = array($m[4], $m[5], $m[6], 0);
#    }
        else if ( preg_match("/Media\[(\d*)\]\[(\d*)\]\[(\d*)\] = new Array\(/", $s, $m) ) {
            while ( preg_match("/\);\s*$/", $s) == FALSE ) {
                $s = preg_replace("/\"\+\s*$/", "", $s).preg_replace("/^\s*\"/", "", $dat[$line++]);
            }
            if ( preg_match("/Media\[(\d*)\]\[(\d*)\]\[(\d*)\] = new Array\(\"(.*)\", \"(.*)\", \"(.*)\", 0\)/", $s, $m) )
                $Media[0+$m[1]][0+$m[2]][0+$m[3]] = array($m[4], $m[5], $m[6], 0);
        }
        else if ( preg_match("/^var MediaTitle = new Array\(\"(.*)\"\);\s*$/", $s, $m) ) {
            $MediaTitle = explode('", "', $m[1]);
        }
        else if ( preg_match("/^var MediaTitleShort = new Array\(\"(.*)\"\);\s*$/", $s, $m) ) {
            $MediaTitleShort = explode('", "', $m[1]);
        }
        else if ( preg_match("/^var InTOCMedia = new Array\(/", $s, $m) ) {
            $InTOCMedia = array();
            do {
                $s = $dat[$line++];
                if ( preg_match("/^\s*new Array\((.*)\)(,|\);)\s*$/", $s, $m) ) {
                    $a = array();
                    $s1 = $m[1];
                    if ( preg_match("/new Array\(\"(.*)\"\)/", $s1, $n) ) {
                        for ($i=1; $i< count($n); $i++)
                          $a[] = explode('", "', $n[$i]);
                    }
                    $InTOCMedia[] = $a;
                }
            } while ( preg_match("/\);\s*$/", $s) == FALSE );
        }
        else if ( preg_match("/^var InTOCMediaTitleShort = new Array\(\"(.*)\"\);\s*$/", $s, $m) ) {
            $InTOCMediaTitleShort = explode('", "', $m[1]);
        }
        else if ( preg_match("/^var M_AUFGABE = (\d*);/", $s, $m)) {
            $M_AUFGABE = 1*$m[1];
        }
    }
    return true;
}

if ( !empty($stupla) )
  DataLoadStudy($stupla);

?>
